org.deidentifier.arx

## Class Data.DefaultData

- java.lang.Object
- - org.deidentifier.arx.Data
  - - org.deidentifier.arx.Data.DefaultData

Enclosing class:
  Data

    public static class Data.DefaultData
    extends Data

The default implementation of a data object. It allows the user to programmatically define its content.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.Data

`Data.DefaultData`

### Constructor Summary

Constructors
Constructor and Description
`DefaultData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.lang.String... row)` Adds a row to this data object.

### Methods inherited from class org.deidentifier.arx.Data

`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDefinition, getHandle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultData

    public DefaultData()

### Method Detail

#### add

    public void add(java.lang.String... row)

Adds a row to this data object.

Parameters:
  `row` - the row